Subject: RE: i'm concerned about some RFC 2136 interoperability problems

From: Raymond Forbes <[email-masked]>
Date: Sun, 12 Sep 1999 15:41:15 -0700

For the record; 

microsoft has a primary dns server that is purely for handling the zones.
we don't want it queried from.  we have the name in the SOA to keep with the
standard. 

Raymond Forbes
Hostmaster
Microsoft Corp.

-----Original Message-----
From: Harald Tveit Alvestrand [mailto:[email-masked]]
Sent: Sunday, September 12, 1999 1:57 PM
To: James Gilroy (Exchange); Paul A Vixie; [email-masked]
Subject: RE: i'm concerned about some RFC 2136 interoperability problems

At 14:31 11.09.99 -0700, James Gilroy (Exchange) wrote:
> I made the change to put the A record in the additional section simply for
> efficiency.  My reading of the RFC (more or less the "nothing forbids it"
> argument you note below) suggested it was ok, and it is a piece of
> information that will be immediately desired by the client to complete the
> update.
>
> On the client side, the microsoft client will prefer to go to the primary
> name server given in the SOA, but if that seems to be unreachable it does
> the NS query and tries the update to each of the given servers in turn.
We
> have a couple of servers running recent BIND versions in the lab and the
> client has no trouble updating them.

From a thread on the dnsop list: In some cases the owner of the zone does 
not *want* people to query the nameserver listed in the SOA.

In those cases, the SOA is not listed in the NS list when you ask for NS.

Quote from that debate (date Aug 23):

>> Do you know of any cases now where there is no overlap between SOA
>> and NS?
> li.org, slashdot.org, microsoft.com (!), for instance.
> more bizarre things happen - altavista.com uses a name in the SOA that
> has the same A as one of its NSes, but different name.
> microsoft looks as if it's round-robining its NS set, and my copy just
> happened not to include ns 1.
> the world is a strange place.

Not sure how this affects dynamic update.

                          Harald A

--
Harald Tveit Alvestrand, Maxware, Norway
[email-masked]

---

From: Paul A Vixie <[email-masked]>
Date: Sun, 12 Sep 1999 21:26:36 -0700

> we don't want it queried from.  we have the name in the SOA to keep with the

if it's not also listed as an NS NSDNAME, then the standards say that it will
never receive an UPDATE.  i'm not sure how interoperable microsoft wants to be;
i do know that microsoft's DNS implementation is able to do forwarding of
dynamic updates from slaves toward the master.  (BIND8 is not, but that's
a fish of another kettle.)  so if your client and server implementations were
both changed as i recommended in last night's e-mail to namedroppers, you'd
still be able to have a hidden primary (that is, your SOA MNAME isn't matched
by any NS NSDNAME).

> Microsoft Corp.

i've got to say, i'm really impressed by microsoft's responsiveness to this.